
Figure - Bug #118557
【IOVDEV-32784】【内部】【VC1】【0106】【台架】【EE环境】【副屏】【中控联动】副屏滑动调节音量
至0时，音量异常跳转
2023-06-05 20:55 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-05

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0106.c104  中控：03.02.0088.C103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230605  20点16分（ 第254次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

1.中控设置-声音，点击开启静音

2.副屏设置-声音，滑动调节音量为一格，不松开情况下再滑动至静音

【实际结果】

副屏声音音量跳转至一半的位置

【期望结果】

副屏声音调节为0，显示静音图标。

【备注】：

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，附件为副屏的log

视频地址：

【影响版本】：副屏：01.00.0106.c104  中控：03.02.0088.C103

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-06 10:06 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_Test 吴诗雨

HI ALL

当前分析：
根据日志分析，在设置音量时，中控发了一个设置为20的值，导致了音量变化；该问题需要中控查看。

24541:06-05 20:16:03.505  1560  9869 D AudioIDCMicroNegotiator: idcm_common:request from IDCM:  method = setMute parameters =

{"functionInfo":{"IDCM_VolumeMute_Media":"mute_on"}} ★★★ 中控设置mute on

24542:06-05 20:16:03.505  1560  9869 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroAudioMute mIsTimeout= false value = mute_on

isRequested=false

24544:06-05 20:16:03.507  1560  3906 D AS.AudioService: idcm_volume:onSetIDCMicroAudioMute: mute_on

24772:06-05 20:16:08.329  1560  9869 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=0, calling=com.android.settings)

24773:06-05 20:16:08.329  1560  9869 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

24774:06-05 20:16:08.329  1560  9869 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"0"}} ★★★ 副屏请求设置为音量0 即静音

24779:06-05 20:16:08.377  1560  8002 D AudioIDCMicroNegotiator: idcm_common:request from IDCM:  method = setMute parameters =

{"functionInfo":{"IDCM_VolumeMute_Media":"mute_off"}}  ★★★ 中控先请求 mute off

24780:06-05 20:16:08.377  1560  8002 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroAudioMute mIsTimeout= false value = mute_off

isRequested=false

24781:06-05 20:16:08.378  1560  3940 D AS.AudioService: idcm_volume:onSetIDCMicroAudioMute: mute_off ★★★副屏执行 mute off

24785:06-05 20:16:08.391  1560  8002 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}  ★★★中控回复 音量0

24786:06-05 20:16:08.391  1560  8002 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 0 isRequested=true

24787:06-05 20:16:08.391  1560  9869 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return 0

24788:06-05 20:16:08.392  1560  9869 D AS.AudioService: idcm_volume:setIDCMicroVolume: 0 ★★★ 副屏执行音量 0

24795:06-05 20:16:08.409  1560  8002 D AudioIDCMicroNegotiator: idcm_common:request from IDCM:  method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"20"}} ★★★ 中控异常请求 音量 20 

24796:06-05 20:16:08.409  1560  8002 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 20 isRequested=false

24797:06-05 20:16:08.409  1560  8002 D AS.AudioService: idcm_volume:onSetIDCMicroVolume: 20 ★★★ 副屏执行音量 20

#2 - 2023-06-06 10:49 - CDTS_Test 吴诗雨

已同步

#3 - 2023-06-09 18:40 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

#4 - 2023-06-09 18:41 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#5 - 2023-06-09 18:41 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

IOVDEV-32784.zip 7.96 MB 2023-06-05 CDTS_Test 吴诗雨
